Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/py-cycler: new package

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Thu, 7 Apr 2016 13:01:53 -0700

Cycler provides composable styles; it is needed by the latest version of
matplotlib.
---
 testing/py-cycler/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/py-cycler/APKBUILD
diff --git a/testing/py-cycler/APKBUILD b/testing/py-cycler/APKBUILD
new file mode 100644
index 0000000..c5d41ab
--- /dev/null
+++ b/testing/py-cycler/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=py-cycler
+_pkgname=cycler
+pkgver=0.10.0
+pkgrel=0
+pkgdesc="Composable style cycles in Python"
+url="http://matplotlib.org/cycler/"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/C/Cycler/${_pkgname}-$pkgver.tar.gz"
+
+builddir="${srcdir}/${_pkgname}-$pkgver"
+build() {
+	cd "$builddir" || return 1
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4cb42917ac5007d1cdff6cccfe2d016b  cycler-0.10.0.tar.gz"
+sha256sums="cd7b2d1018258d7247a71425e9f26463dfb444d411c39569972f4ce586b0c9d8  cycler-0.10.0.tar.gz"
+sha512sums="b7d2ba19861ffaf4dea0444bfe68b5a6264a022d7b3f02c9ff5e5859e3901de12a90f8dc7469e995e09c418515b3df55dbf05a0cfe5368d40790a2c878a74819  cycler-0.10.0.tar.gz"
-- 
2.8.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 07 2016 - 13:01:53 GMT